Bug 194262 - gtk-sharp doesn't work with gtk 2.9
Summary: gtk-sharp doesn't work with gtk 2.9
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-sharp2 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-06 18:02 UTC by Bart Vanbrabant
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 08:03:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to build gtk# 2.9.0 from svn against gtk+2.9 (3.72 KB, patch)
2006-06-06 18:02 UTC, Bart Vanbrabant
no flags Details | Diff

Description Bart Vanbrabant 2006-06-06 18:02:27 UTC
Description of problem:
All gtk-sharp2 based apps crash when they need to show UI parts.
eg: Tomboy when the trayicon is click, f-sport when it starts, beagle when the
search UI is shown.
This started when gtk+ was updated to 2.9

The solution is to upgrade to current svn version. SVN from 6/6/6 needs a small
patch that is attached. A working SRPM can be found here:
http://files.zoeloelip.be/rpm/SRPMS/gtk-sharp2-2.9.0-3.src.rpm

This also means that gsf-sharp, gmime, tomboy, f-spot and beagle need to be
rebuild. For f-spot and beagle a build patch is needed. SRPMS with these patches
are located in the dir where the gtk-sharp SRPM is.
I'll also report these issues in the f-spot and beagle component.

All rebuilded rpms can be installed from this repo:
http://files.zoeloelip.be/rpm/RPMS/

Comment 1 Bart Vanbrabant 2006-06-06 18:02:27 UTC
Created attachment 130625 [details]
Patch to build gtk# 2.9.0 from svn against gtk+2.9

Comment 2 Bart Vanbrabant 2006-06-06 18:21:34 UTC
It seems that all this isn't needed. Updating to gtk-2.9.2 should be enough.
I updated gtk2 right before I started doing this, so I thought that the update
fixed this. Sorry for the spam :)

Comment 3 Alexander Larsson 2006-06-07 08:03:13 UTC
This was a bug in gtk 2.9.1 which is fixed in 2.9.2.



Note You need to log in before you can comment on or make changes to this bug.